<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Notification extends Eloquent {

	protected $table = 'notification';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('user_id', 'title_en', 'title_ar', 'broadcast', 'message_en', 'message_ar', 'read');

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

}